Package org.postgresql.jdbc

# Class FieldMetadata

java.lang.Object
org.postgresql.jdbc.FieldMetadata

All Implemented Interfaces:
  `CanEstimateSize`

public class FieldMetadata extends Object implements CanEstimateSize
This is an internal class to hold field metadata info like table name, column name, etc. This class is not meant to be used outside of pgjdbc.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`FieldMetadata.Key`

## Constructor Summary

Constructors
Constructor
Description
`FieldMetadata(String columnName)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getSize()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FieldMetadata

public FieldMetadata(String columnName)

## Method Details

### getSize

public long getSize()

Specified by:
  `getSize` in interface `CanEstimateSize`

### toString

public String toString()

Overrides:
  `toString` in class `Object`